Subject: Re: bug#13801: [PATCH] Trivial fix for files.el

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Feb 2013 17:06:39 +0200

> Date: Sun, 24 Feb 2013 14:33:32 +0800
> From: Xue Fuqiao <[email-masked]>
> 
> *** trunk/lisp/files.el	2013-02-24 06:49:38.358835000 +0800
> --- trunk/lisp/files.el.new	2013-02-24 14:23:28.681175258 +0800
> *************** See also: `break-hardlink-on-save'."
> *** 248,259 ****
>     :group 'backup)
>   
>   (defcustom break-hardlink-on-save nil
> !   "Non-nil means when saving a file that exists under several names
> ! \(i.e., has multiple hardlinks), break the hardlink associated with
> ! `buffer-file-name' and write to a new file, so that the other
> ! instances of the file are not affected by the save.
>   
> ! If `buffer-file-name' refers to a symlink, do not break the symlink.
>   
>   Unlike `file-precious-flag', `break-hardlink-on-save' is not advisory.
>   For example, if the directory in which a file is being saved is not
> --- 248,262 ----
>     :group 'backup)
>   
>   (defcustom break-hardlink-on-save nil
> !   "This variable affect the relation between hardlink(s) and the file.
> ! Non-nil means when saving a file that exists under several names
> ! \(i.e., has multiple hardlinks), break the hardlink associated
> ! with the variable `buffer-file-name' and write to a new file, so
> ! that the other instances of the file are not affected by the
> ! save.

The first line of the doc string should concisely say what the option
does.  The old doc string did it, albeit not perfectly; the one you
suggest does not.